Android Güvenlik Bülteni—Ağustos 2018

6 Ağustos 2018'de yayınlandı

Android Güvenlik Bülteni, Android cihazları etkileyen güvenlik açıklarının ayrıntılarını içerir. 2018-08-05 veya sonraki güvenlik düzeltme eki düzeyleri tüm bu sorunları giderir. Bir cihazın güvenlik yaması düzeyini nasıl kontrol edeceğinizi öğrenmek için bkz. Android sürümünüzü kontrol etme ve güncelleme .

Android iş ortaklarına tüm sorunlar yayınlanmadan en az bir ay önce bildirilir. Bu sorunlara ilişkin kaynak kodu yamaları Android Açık Kaynak Projesi (AOSP) deposunda yayımlandı ve bu bültenden bağlantı verildi. Bu bülten aynı zamanda AOSP dışındaki yamalara bağlantılar da içermektedir.

Bu sorunlardan en ciddi olanı, uzaktaki bir saldırganın özel hazırlanmış bir dosya kullanarak ayrıcalıklı bir işlem bağlamında rasgele kod yürütmesine olanak tanıyan kritik bir güvenlik açığıdır. Önem derecesi değerlendirmesi, platformun ve hizmet azaltımlarının geliştirme amacıyla kapatıldığı veya başarılı bir şekilde atlandığı varsayılarak, güvenlik açığından yararlanmanın etkilenen cihaz üzerinde yaratabileceği etkiye dayanmaktadır.

Yeni bildirilen bu sorunların aktif müşteri istismarına veya kötüye kullanıldığına dair herhangi bir rapor almadık. Android güvenlik platformu korumaları ve Android platformunun güvenliğini artıran Google Play Koruma hakkında ayrıntılar için Android ve Google Play Koruma azaltımları bölümüne bakın.

Not: Google cihazlarına yönelik en son kablosuz güncelleme (OTA) ve donanım yazılımı görüntülerine ilişkin bilgiler Ağustos 2018 Pixel / Nexus Güvenlik Bülteni'nde mevcuttur.

Android ve Google hizmet azaltımları

Bu, Android güvenlik platformu ve Google Play Koruma gibi hizmet korumaları tarafından sağlanan azaltıcı önlemlerin bir özetidir. Bu yetenekler, Android'de güvenlik açıklarından başarıyla yararlanma olasılığını azaltır.

  • Android platformunun daha yeni sürümlerindeki iyileştirmeler, Android'deki birçok sorundan yararlanmayı daha da zorlaştırıyor. Tüm kullanıcılarımızı mümkün olduğunca Android'in en son sürümüne güncelleme yapmaya teşvik ediyoruz.
  • Android güvenlik ekibi , Google Play Koruma aracılığıyla kötüye kullanımı aktif olarak izler ve kullanıcıları Potansiyel Zararlı Uygulamalar konusunda uyarır. Google Play Koruma, Google Mobil Hizmetleri bulunan cihazlarda varsayılan olarak etkindir ve özellikle Google Play dışından uygulama yükleyen kullanıcılar için önemlidir.

2018-08-01 güvenlik yaması düzeyindeki güvenlik açığı ayrıntıları

Aşağıdaki bölümlerde, 2018-08-01 yama düzeyi için geçerli olan güvenlik açıklarının her birine ilişkin ayrıntılar sağlıyoruz. Güvenlik açıkları, etkiledikleri bileşen altında gruplandırılır. Sorunun bir açıklaması ve CVE'yi, ilgili referansları, güvenlik açığı türünü , ciddiyetini ve güncellenmiş AOSP sürümlerini (varsa) içeren bir tablo bulunmaktadır. Mümkün olduğunda, sorunu gideren genel değişikliği, AOSP değişiklik listesi gibi hata kimliğine bağlarız. Birden fazla değişiklik tek bir hatayla ilgili olduğunda, ek referanslar hata kimliğini takip eden numaralara bağlanır.

Çerçeve

Bu bölümdeki en ciddi güvenlik açığı, yerel kötü amaçlı bir uygulamanın ek izinlere erişim sağlamak için kullanıcı etkileşimi gereksinimlerini atlamasına olanak tanıyabilir.

CVE Referanslar Tip Şiddet Güncellenmiş AOSP sürümleri
CVE-2018-9445 A-80436257 [ 2 ] EoP Yüksek 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2018-9438 A-78644887 [ 2 ] [ 3 ] [ 4 ] DoS Yüksek 8.1
CVE-2018-9458 A-71786287 EoP Yüksek 8.0, 8.1
CVE-2018-9451 A-79488511 [ 2 ] İD Yüksek 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1

Medya çerçevesi

Bu bölümdeki en ciddi güvenlik açığı, uzaktaki bir saldırganın özel hazırlanmış bir dosya kullanarak ayrıcalıklı bir işlem bağlamında rasgele kod yürütmesine olanak verebilir.

CVE Referanslar Tip Şiddet Güncellenmiş AOSP sürümleri
CVE-2018-9427 A-77486542 [ 2 ] RCE Kritik 8.0, 8.1
CVE-2018-9444 A-63521984 * DoS Yüksek 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2018-9437 A-78656554 DoS Yüksek 6.0, 6.0.1

Sistem

Bu bölümdeki en ciddi güvenlik açığı, uzaktaki bir saldırganın özel hazırlanmış bir dosya kullanarak ayrıcalıklı bir işlem bağlamında rasgele kod yürütmesine olanak verebilir.

CVE Referanslar Tip Şiddet Güncellenmiş AOSP sürümleri
CVE-2018-9446 A-80145946 RCE Kritik 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2018-9450 A-79541338 RCE Kritik 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2018-9459 A-66230183 EoP Yüksek 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2018-9455 A-78136677 DoS Yüksek 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2018-9436 A-79164722 İD Yüksek 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2018-9454 A-78286118 İD Yüksek 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2018-9448 A-79944113 [ 2 ] İD Yüksek 8.0, 8.1
CVE-2018-9453 A-78288378 İD Yüksek 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1

2018-08-05 güvenlik yaması düzeyindeki güvenlik açığı ayrıntıları

Aşağıdaki bölümlerde, 2018-08-05 yama düzeyi için geçerli olan güvenlik açıklarının her birine ilişkin ayrıntılar sağlıyoruz. Güvenlik açıkları, etkiledikleri bileşen altında gruplandırılır ve CVE, ilgili referanslar, güvenlik açığı türü , önem derecesi , bileşen (varsa) ve güncellenmiş AOSP sürümleri (varsa) gibi ayrıntıları içerir. Mümkün olduğunda, sorunu gideren genel değişikliği, AOSP değişiklik listesi gibi hata kimliğine bağlarız. Birden fazla değişiklik tek bir hatayla ilgili olduğunda, ek referanslar hata kimliğini takip eden numaralara bağlanır.

Çekirdek bileşenleri

Bu bölümdeki en ciddi güvenlik açığı, yerel kötü amaçlı bir uygulamanın ayrıcalıklı bir işlem bağlamında rastgele kod yürütmesine olanak tanıyabilir.

CVE Referanslar Tip Şiddet Bileşen
CVE-2017-18249 A-78283212
Yukarı akış çekirdeği
EoP Yüksek F2FS
CVE-2018-9465 A-69164715
Yukarı akış çekirdeği
EoP Yüksek bağlayıcı

Qualcomm bileşenleri

Bu bölümdeki en ciddi güvenlik açığı, hiçbir ek yürütme ayrıcalığına gerek kalmadan bilgilerin uzaktan ifşa edilmesine yol açabilir.

CVE Referanslar Tip Şiddet Bileşen
CVE-2018-5383 A-79421580 *
QC-CR#2209635
İD Yüksek Bluetooth
CVE-2017-13077 A-78284758
QC-CR#2133033
İD Yüksek WLAN
CVE-2017-18281 A-78242172
QC-CR#856388
İD Yüksek Video
CVE-2018-11260 A-72997254
QC-CR#2204872
EoP Yüksek WLAN

Qualcomm kapalı kaynak bileşenleri

Bu güvenlik açıkları Qualcomm bileşenlerini etkiler ve ilgili Qualcomm AMSS güvenlik bülteninde veya güvenlik uyarısında daha ayrıntılı olarak açıklanmaktadır. Bu sorunların ciddiyet değerlendirmesi doğrudan Qualcomm tarafından sağlanır.

CVE Referanslar Tip Şiddet Bileşen
CVE-2017-18296 A-78240731 * Yok Kritik Kapalı kaynak bileşeni
CVE-2017-18305 A-78239838 * Yok Kritik Kapalı kaynak bileşeni
CVE-2017-18310 A-62211308 * Yok Kritik Kapalı kaynak bileşeni
CVE-2017-18295 A-78240386 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18283 A-78240411 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18294 A-78240247 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18293 A-78240316 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18292 A-78241027 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18298 A-78239976 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18299 A-78240418 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18304 A-78239975 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18303 A-78240396 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18301 A-78238455 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18302 A-78239233 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18300 A-78239508 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18297 A-78240275 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18280 A-78285512 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18282 A-78241591 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18309 A-73539064 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2017-18308 A-73539310 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2018-11305 A-72951032 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2018-11258 A-72951054 * Yok Yüksek Kapalı kaynak bileşeni

Ortak sorular ve cevaplar

Bu bölüm, bu bülteni okuduktan sonra ortaya çıkabilecek genel soruları yanıtlar.

1. Cihazımın bu sorunları çözecek şekilde güncellenip güncellenmediğini nasıl belirleyebilirim?

Bir cihazın güvenlik yaması düzeyini nasıl kontrol edeceğinizi öğrenmek için bkz. Android sürümünüzü kontrol etme ve güncelleme .

  • 2018-08-01 veya sonraki güvenlik yaması düzeyleri, 2018-08-01 güvenlik yaması düzeyiyle ilişkili tüm sorunları giderir.
  • 2018-08-05 veya üzeri güvenlik düzeltme eki düzeyleri, 2018-08-05 güvenlik düzeltme eki düzeyi ve önceki tüm düzeltme eki düzeyleriyle ilişkili tüm sorunları ele alır.

Bu güncellemeleri içeren cihaz üreticileri yama dizesi düzeyini şu şekilde ayarlamalıdır:

  • [ro.build.version.security_patch]:[2018-08-01]
  • [ro.build.version.security_patch]:[2018-08-05]

2. Bu bültende neden iki güvenlik yaması düzeyi var?

Bu bültenin iki güvenlik düzeltme eki düzeyi vardır; böylece Android iş ortakları, tüm Android cihazlarda benzer olan bir dizi güvenlik açığını daha hızlı düzeltme esnekliğine sahip olur. Android iş ortaklarının bu bültendeki tüm sorunları düzeltmeleri ve en son güvenlik yaması düzeyini kullanmaları önerilir.

  • 01.08.2018 güvenlik yaması düzeyini kullanan cihazların, söz konusu güvenlik yaması düzeyiyle ilişkili tüm sorunları ve önceki güvenlik bültenlerinde bildirilen tüm sorunlara yönelik düzeltmeleri içermesi gerekir.
  • 2018-08-05 veya daha yeni güvenlik düzeltme eki düzeyini kullanan cihazlar, bu (ve önceki) güvenlik bültenlerinde geçerli tüm düzeltme eklerini içermelidir.

İş ortaklarının, ele aldıkları tüm sorunlara yönelik düzeltmeleri tek bir güncellemede toplamaları önerilir.

3. Tür sütunundaki girişler ne anlama geliyor?

Güvenlik açığı ayrıntıları tablosunun Tür sütunundaki girişler, güvenlik açığının sınıflandırmasına atıfta bulunur.

Kısaltma Tanım
RCE Uzaktan kod yürütme
EoP Ayrıcalığın yükselmesi
İD Bilgi ifşası
DoS Hizmet reddi
Yok Sınıflandırma mevcut değil

4. Referanslar sütunundaki girişler ne anlama geliyor?

Güvenlik açığı ayrıntıları tablosunun Referanslar sütunu altındaki girişler, referans değerinin ait olduğu kuruluşu tanımlayan bir önek içerebilir.

Önek Referans
A- Android hata kimliği
Kalite kontrol- Qualcomm referans numarası
M- MediaTek referans numarası
N- NVIDIA referans numarası
B- Broadcom referans numarası

5. Referanslar sütununda Android hata kimliğinin yanındaki * işareti ne anlama gelir?

Herkese açık olmayan sorunların Referanslar sütununda Android hata kimliğinin yanında * işareti bulunur. Bu soruna ilişkin güncelleme genellikle Google Geliştirici sitesinde bulunan Pixel/Nexus aygıtları için en son ikili sürücülerde bulunur.

6. Güvenlik açıkları neden bu bülten ile Pixel/Nexus bülteni gibi cihaz/iş ortağı güvenlik bültenleri arasında bölünmüş durumda?

Android cihazlarda en son güvenlik yaması düzeyinin bildirilmesi için bu güvenlik bülteninde belgelenen güvenlik açıkları gereklidir. Cihaz/iş ortağı güvenlik bültenlerinde belgelenen ek güvenlik açıkları, güvenlik yaması düzeyinin bildirilmesi için gerekli değildir. Android cihaz ve yonga seti üreticilerinin, cihazlarındaki diğer düzeltmelerin varlığını Samsung , LGE veya Pixel / Nexus güvenlik bültenleri gibi kendi güvenlik web siteleri aracılığıyla belgelemeleri teşvik edilmektedir.

Sürümler

Sürüm Tarih Notlar
1.0 6 Ağustos 2018 Bülten yayınlandı.